Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022335
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajoralways2012-11-16 18:312013-01-21 16:51
ReporterpsarobeView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022335: Create customer: Ability to select the business partner category

DescriptionWhen creating a new customer it would be nice to have the possibility of selecting the business partner category:

User case:
I create a customer which is a relative. For those kind of customers I have already configured a promotion so once the customer is created I want the system to apply this promotion. Right now this is not possible because the category is defined as default.

Scope:
1. Ability to select the category
2. Ability to configure whether this option is shown or not when creating the customer by a preference. Similar to the Tax Id
3. Name of the field: Category
Steps To Reproduce1. Login in webpos
2. Create a customer
3. Select the category

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055582)
hgbot (developer)
2013-01-17 20:01

Repository: erp/pmods/org.openbravo.retail.config
Changeset: b136909be96d043cc5200c13dab459cd3e1adedf
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 17 20:01:16 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/b136909be96d043cc5200c13dab459cd3e1adedf [^]

related to issue 22335: [bpcatselector] new field to activate/desactivate BPCategory selector in Web POS

---
M src-db/database/model/modifiedTables/AD_ORG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0055583)
hgbot (developer)
2013-01-17 20:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 18df25a550cfd9ac2fe44b4a90e0bfacceeac767
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 17 10:57:37 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/18df25a550cfd9ac2fe44b4a90e0bfacceeac767 [^]

related to issue 22335: [bpcatselector] Add the new field to the terminal query - bp_showcategoryselector

---
M src/org/openbravo/retail/posterminal/term/Terminal.java
---
(0055584)
hgbot (developer)
2013-01-17 20:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2006ec2868281ef261f11b873911621d6d0d9860
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 17 19:40:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2006ec2868281ef261f11b873911621d6d0d9860 [^]

related to issue 22335: [bpcatselector] Add the field to the edit/view/create customers form

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M src/org/openbravo/retail/posterminal/master/BusinessPartner.java
M src/org/openbravo/retail/posterminal/term/Terminal.java
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/editcreatecustomerform.js
A src/org/openbravo/retail/posterminal/master/BPCategory.java
A web/org.openbravo.retail.posterminal/js/model/bpcategory.js
---
(0055586)
hgbot (developer)
2013-01-17 22:09

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 42749192f2b118ad9dc7f1a66d00b1bd390cc17e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 17 22:08:47 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42749192f2b118ad9dc7f1a66d00b1bd390cc17e [^]

related to issue 22335: [bpcatselector] Using a defined message instead of hardcoded one

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
---
(0055589)
hgbot (developer)
2013-01-18 08:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0d035a36f39a99e29ad40c39d41fd6322f466ccc
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jan 18 08:15:41 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d035a36f39a99e29ad40c39d41fd6322f466ccc [^]

related to issue 22335: [bpcatselector] Default value is loaded correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
---
(0055651)
hgbot (developer)
2013-01-21 09:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cc3ce000f8468b247675fc31c27777a72ecbf16a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jan 21 09:40:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cc3ce000f8468b247675fc31c27777a72ecbf16a [^]

related to issue 22335: [bpcatselector] styling the new combo

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
---
(0055673)
guilleaer (developer)
2013-01-21 13:14

Feature added by previous commits
(0055690)
adrianromero (manager)
2013-01-21 16:51

Verified for RMP19

- Issue History
Date Modified Username Field Change
2012-11-16 18:31 psarobe New Issue
2012-11-16 18:31 psarobe Assigned To => adrianromero
2012-12-20 13:28 adrianromero Severity minor => major
2012-12-20 13:28 adrianromero Target Version RMP18 => RMP19
2012-12-20 13:29 adrianromero Status new => scheduled
2012-12-20 13:29 adrianromero fix_in_branch => pi
2013-01-16 17:40 adrianromero Assigned To adrianromero => guilleaer
2013-01-17 20:01 hgbot Checkin
2013-01-17 20:01 hgbot Note Added: 0055582
2013-01-17 20:02 hgbot Checkin
2013-01-17 20:02 hgbot Note Added: 0055583
2013-01-17 20:02 hgbot Checkin
2013-01-17 20:02 hgbot Note Added: 0055584
2013-01-17 22:09 hgbot Checkin
2013-01-17 22:09 hgbot Note Added: 0055586
2013-01-18 08:16 hgbot Checkin
2013-01-18 08:16 hgbot Note Added: 0055589
2013-01-21 09:41 hgbot Checkin
2013-01-21 09:41 hgbot Note Added: 0055651
2013-01-21 13:14 guilleaer Note Added: 0055673
2013-01-21 13:14 guilleaer Status scheduled => resolved
2013-01-21 13:14 guilleaer Fixed in Version => RMP19
2013-01-21 13:14 guilleaer Resolution open => fixed
2013-01-21 16:51 adrianromero Note Added: 0055690
2013-01-21 16:51 adrianromero Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker